Subject: Re: Last Call: <draft-ietf-opsec-lla-only-07.txt> (Using Only Link-Local Addressing Inside an IPv6 Network) to Informational RFC

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 15 May 2014 12:43:13 +0000

Jinmei,

Thanks for spotting the poorly written text about LLA & scope. We have
changed our I-D in order to reuse your proposal

-éric & michael

On 25/03/14 17:21, "神明達哉" <[email-masked]> wrote:

>At Tue, 25 Mar 2014 08:44:39 -0400,
>Brian Haberman <[email-masked]> wrote:
>
>>      The IETF Last Call just started on this document.  Please review
>> and comment.
>
>I don't subscribe to the opsec ML so I'm only responding here.
>
>I have one small comment: I think this sentence of Section 2.3 needs
>some more clarification/correction:
>
>   However, this
>   static LLA configuration may be more complex to operate than
>   statically configured greater than link-local addresses, because the
>   link scope must also be considered, as in this example: 'BGP neighbor
>   fe80::1%eth0 is down'.
>
>- First off, it's not clear what "the link scope must also be
>  considered" means.  With the example of fe80::1%eth0, I guess it
>  tries to talk about the ambiguity of LLAs.  But, in principle, such
>  ambiguity is not specific to statically configured LLAs.  So I also
>  guess it's also based on the implicit assumption that statically
>  configured interface id (such as "::1") tends to be less unique than
>  EUI-64 based IIDs, thus tends to be more ambiguous in practice.  If
>  this is what this sentence tries to say, I agree, but one would need
>  quite a lot of speculation to reach this understanding.
>- On the other hand, if this sentence tries to say something
>  different, then I didn't get it, so (assuming I'm not the only one)
>  it would need clarification anyway:-)
>- assuming my guess in the first bullet is correct, "the link scope"
>  in this context is not really the accurate term per RFC 4007.  This
>  should be "the link (zone) index" ("scope" means a type of scope,
>  such as "link" or "site").  I'd also suggest adding a reference to
>  the RFC, since the reader may not be familiar with the '%eth0'
>  notation.
>
>Combining these, I'd suggest (based on my guessed understanding)
>revising the sentence as follows:
>
>   However, this
>   static LLA configuration may be more complex to operate than
>   statically configured greater than link-local addresses, because
>   LLAs are inherently ambiguous for a multi-link node such as a
>   router and tend to be more so when the interface ID is configured
>   statically.  To deal with the ambiguity, the link zone index must
>   also be considered explicitly, e.g., using the extended textual
>   notation described in [RFC4007] as in this example: 'BGP neighbor
>   fe80::1%eth0 is down'.
>
>--
>JINMEI, Tatuya